Grasshoper Error when open rhino 6


(Coker-0ne) #1

Hello all!

Is there anyone who knows why I take this grasshopper loading errors panel when I open rhino 6?
I think that the problem started after installation of VisualArq.

Thank you


Create window on non-vertical wall VisualArq Grasshopper
Rhino6/Grasshopper+VisualARQ2.1=Many errors
(David Rutten) #2

Can you expand those errors? Or export them as text and paste them here as a response?


(Coker-0ne) #3

Hello David!

Here you are.

GH_Load_Ex.txt (5.7 KB)


(David Rutten) #4

Ok, that’s pretty serious. Am I correct in thinking that after a specific plugin tries to load, all subsequent ones are resulting in errors?

If you are running a recent release of Rhino6, then please start a fresh Rhino and run the _GrasshopperLoadOneByOne command. It won’t autocomplete, but after you press Enter it will either run if it’s available or you’ll get an unknown command message in which case you are not running a recent enough Rhino6. If the command runs, then choose No whenever the VisualArq plugin asks to be loaded. Keep trying no/yes until you figure out which plugin is causing the problem.

If you’re on Rhino5 or an older Rhino6, then you can find all the plugins by starting Rhino afresh and running the _GrasshopperDeveloperSettings command. Click on the Valid Folders button to see a list of all the plugin locations that will be loaded. From here you should be able to find the file paths for VisualArq and other plugins, and you can prevent them from being loaded by changing their extension from .gha to .notgha. You’ll have to again do some trial and error to figure out the offending plugin.

Once we have it narrowed down, we can start finding the specific problem.


(Coker-0ne) #5

I think I am running the latest version of Rhino 6 but when I type _GrasshopperLoadOneByOne command I take unknown command. Am I doing something wrong? I checked if there are any updates but it said that it is up to date (Rhino 6 SR4)

Also, I tried to see Valid folders but I think that there isn’t a path to VisualArq components.


(David Rutten) #6

It depends on your update schedule. If you’re only updating on service releases, then you’ll get an update roughly once every month or every two months or so. If you’re also getting Service Release Candidates, you get weekly updates. I added this command about 2~3 weeks ago. You can change your frequency in the settings:

(Ignore the Daily options, I get those because I’m a developer).

If you’re willing to switch to the candidate builds (you can always switch back later) you can use the relatively easy way. Otherwise you’re going to have to just search your entire machine for all *.gha files and disable them one by one.


(Coker-0ne) #8

VisualArq causes the problem. I uninstalled it and there are no grasshopper loading errors now. Is there any way to make visualarq components run last?


(Enric Marquès) #9

Hi @cokerone1214,

I’m Enric, a VisualARQ developer. This is the first time I see these errors.

In order to fix this problem, I need to reproduce it on my computer, so I’ll need more information:

  • Which version of Rhino 6 are you using?
  • Do you have any other third-party plugin installed in Rhino?
  • Do you have any third-party Grasshopper add-on?

VisualARQ Grasshopper Components are loaded in a special way, and always after all other add-ons are loaded: When VisualARQ is loaded, it checks if Grasshopper is already loaded. If it isn’t, VisualARQ loads Grasshopper first, and then loads the VA Grasshopper Components.

Please, can you try to open Grasshopper before VisualARQ is loaded. Make sure VisualARQ isn’t loaded.

Thanks,

Enric


(Coker-0ne) #10

Hello Enric!

Actually, I don’t know how i can run grasshopper before VisualARQ. VisualARQ plugin is built-in rhino so when i open rhino before the view-port opens it gives me the grasshopper loading errors panel. I mean i use VisualArq directly inside rhino interface and I don’t open the app seperatly from its desktop icon.

I use Rhino 6 SR4 version with no other third party plugins installed in rhino. On grasshopper I have some Third-party add-ons as kangaroo, pufferfish, human, anemone, culebra, weavebird, Lunchbox, Honeybee-ladybug, bowerbird, Panelling tools, and clipper.


(Enric Marquès) #11

VisualARQ will only load automatically if you had any openend VisualARQ panel (Levels or Sections) the last time you closed Rhino, if you open a VisualARQ template or a document with VisualARQ data or if you run a VisualARQ command.

Enric


(Coker-0ne) #12

Hello Enric!

I tried what you said and it seems that there is no problem if I open grasshopper before VisualARQ. Only when I try to open an old file with visualarq elements.


(Enric Marquès) #13

Hi @cokerone1214,

So Grasshopper opens fine without any error if VisualARQ is no loaded. What happens if you open VisualARQ after Grasshopper? Did you get the same errors?

Enric


(Coker-0ne) #14

No. It seems that if i open visualarq after grasshopper all work fine without errors. I think the problem is in case i have saved a rhino file with a visualarq template and I load an old gh script which created without visualarq loaded on a rhino template then i take the errors.


(Enric Marquès) #15

Hi @cokerone1214,

I’ve received another report of the same problem from a different user. He is using Rhino 6.4. I’ve asked him which GH add-ons he has installed. I think VisualARQ Grasshopper Components may have an incompatibility issue with one of them. I need to reproduce the issue on my computer in order to fix it.

@DavidRutten, have you ever seen this error before? Do you know what can be causing it?

Enric


(Coker-0ne) #16

Hello Enric !

Yes, I read it. I have no idea about development issues but I want to refer that I have 2 hard disks on my computer ( C & D ). I have windows and rhino installed on C hard disk and due to memory limits I installed visualarq on D. I have a large number of programs on D without any problem but I thought maybe rhino and visualarq should be in the same place. Just to inform you if there is any possibility to be related to the errors.


(Enric Marquès) #17

Hi @cokerone1214,

Do you have V-Ray 3.6 and the V-Ray Grasshopper add-on installed in Rhino 6?

Enric


(Coker-0ne) #18

Nop, I dont have plugins in rhino only gasshopper add-ons!


(Coker-0ne) #19

Hello Enric!
Is there any progress? I really cant understand where the problem could be. I have couple of days now without any problem but yesterday the errors appeared again. I solved the problem by uninstalling and reinstalling the visualARQ but after the first run of rhino after reinstall still getting the errors. It seems that it works fine only at first run of rhino after reinstall of visualARQ.


(Enric Marquès) #20

Hi @cokerone1214,

I’m trying to reproduce the problem. I’m now trying to install all GH add-ons you mentioned, until I see if one of them is causing the issue.

Can you please send me the System Information log? You can find it in the menu “Help” > “System Information”

Can you also run the command “GrasshopperDeveloperSettings” and send me an screenshot of the dialog?

Thanks,

Enric


(Coker-0ne) #21

Yes of course.

info.txt (2.1 KB)